#include<bits/stdc++.h>
using namespace std; 

int main()
{   
    ios_base::sync_with_stdio(false); 
    cin.tie(0);
    cout.tie(0);
   
    int N,M,x,y;
    
    cin >> N >> M;
    
    int* A = new int[N];
    
    A[0] = 0;
    
    for(int i = 1; i <= N; i++)
         cin >> A[i];
    
    long long S = 0;
     
    for(int i = 0; i < M; i++)
     { 
         cin >> x >> y;
         S = S + abs(A[x] + A[y]);         
     }
    
    cout << S;
    
    return 0;
}